Package org.apache.commons.imaging.color

# Class ColorHsv

java.lang.Object
org.apache.commons.imaging.color.ColorHsv

public final class ColorHsv extends Object
Represents a color in the HSV color space.

Contains the constant values for black, white, red, green, blue, cyan, magenta, and yellow.

Since:
  1.0-alpha1
See Also:
  - https://en.wikipedia.org/wiki/HSL_and_HSV

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final ColorHsv`
  `BLACK`
  A constant for color black.
  `static final ColorHsv`
  `BLUE`
  A constant for color blue.
  `static final ColorHsv`
  `GREEN`
  A constant for color green.
  `final double`
  `h`
  `static final ColorHsv`
  `RED`
  A constant for color red.
  `final double`
  `s`
  `final double`
  `v`
  `static final ColorHsv`
  `WHITE`
  A constant for color white.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ColorHsv(double h, double s, double v)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### BLACK

    public static final ColorHsv BLACK
    A constant for color black. Color components are:

             Hue:        0
             Saturation: 0
             Value:      0

  - ### WHITE

    public static final ColorHsv WHITE
    A constant for color white. Color components are:

             Hue:        0
             Saturation: 0
             Value:      100

  - ### RED

    public static final ColorHsv RED
    A constant for color red. Color components are:

             Hue:        0
             Saturation: 100
             Value:      100

  - ### GREEN

    public static final ColorHsv GREEN
    A constant for color green. Color components are:

             Hue:        120
             Saturation: 100
             Value:      100

  - ### BLUE

    public static final ColorHsv BLUE
    A constant for color blue. Color components are:

             Hue:        240
             Saturation: 100
             Value:      100

  - ### h

    public final double h

  - ### s

    public final double s

  - ### v

    public final double v

- ## Constructor Details

  - ### ColorHsv

    public ColorHsv(double h, double s, double v)

- ## Method Details

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`